panic(msg)
char *msg; /* %fp+44 */
{
 if (panicstr)
  { panic_opt |= RB_NOSYNC;
  }
 else
  { panicstr = msg;
    noprintf = 0;
    if (u.0x364)
     { setjmp(&u);
       panic_regs = u.0x0;
       panic_regs+4 = u.0x4;
     }
  }
 printf("panic: %s\n",msg);
 boot(panic_opt);
}
